import React, { useState } from 'react';
import {motion, useScroll, useMotionValueEvent, useAnimationControls} from "framer-motion"
import yachtImg from "../Images/yacht.jpg"

const AboutSection = () => {
    return (
        <>
            <div className='absolute inset-0'>
                <img src={yachtImg} alt="yacht" className='w-full h-full object-cover brightness-[0.2] contrast-[1.1]' />
            </div>
            <div className='absolute inset-0 flex justify-center'>
                <div className='flex flex-col justify-end w-full h-full max-w-[1920px] gap-8 p-4 pb-[40%] md:gap-16 md:p-12 lg:gap-16 lg:p-12 2xl:gap-28 2xl:p-20'>
                    <div className='flex items-center md:h-[230px] lg:h-[280px]'>
                        <h1 className='text-4xl md:text-6xl lg:text-7xl xl:text-8xl 2xl:text-9xl font-bold'>
                            Консьерж-сервис для VIP клиентов
                        </h1>
                    </div>
                    <div className='flex text-right self-end justify-end items-center max-w-[300px] lg:max-w-[400px]'>
                        <p className='text-xl md:text-2xl lg:text-3xl'>
                            Добро пожаловать в мир непревзойденной роскоши и удобства.
                        </p>
                    </div>
                </div>
            </div>
        </>
    );
}

export default AboutSection;
